Subversion 정보

Subversion(SVN)은 CollabNet, Inc.가 2000에 시작한 수정 버전 제어 시스템입니다.

개발자는 Subversion을 사용하여 소스 코드, 웹 페이지 및 문서와 같은 파일의 현재 및 기록 버전을 유지 관리합니다. 목표는 널리 사용하는 CVS(Concurrent Versions System)와 호환되는 후속 버전이 되는 것입니다. Dreamweaver 내에서 Subversion 사용에 대한 자세한 내용은 Subversion(SVN)을 사용하여 Dreamweaver에서 파일 가져오기 및 확인을 참조하십시오.

Subversion 버전 및 Dreamweaver

Dreamweaver CS6Dreamweaver CS5.5는 Subversion 1.6.9 클라이언트 라이브러리를 사용합니다.

Dreamweaver CS 5는 Subversion 1.6.6 클라이언트 라이브러리를 사용합니다. 최신 버전의 Subversion 클라이언트 라이브러리는 이전 버전과 호환되지 않습니다. 최신 버전의 Subversion에서 사용하도록 타사 클라이언트 응용 프로그램(예: TortoiseSVN)을 업데이트하는 경우 업데이트된 Subversion 응용 프로그램은 로컬 Subversion 메타데이터를 업데이트합니다. Dreamweaver에서 더 이상 Subversion과 통신할 수 없습니다.

하지만 일반적으로 Subversion의 여러 클라이언트/서버가 모두 동일한 major.minor 버전이면 그러한 클라이언트/서버를 사용할 수 있습니다. 예를 들어, 1.4.x는 1.4.x와 함께 작동하고(1.4.5는 1.4.6과 작동), 1.6.x는 1.6.x와 작동합니다(1.6.6는 1.6.9와 작동). 로컬 Subversion 메타 데이터를 자동으로 최신 버전으로 업데이트하는 타사 도구로 파일을 업데이트할 때 오류가 발생할 수 있습니다. 그런 경우 Dreamweaver가 Subversion과 호환되지 않습니다.

Dreamweaver CS4 사용자는 메타데이터를 이전 버전의 Subversion으로 복원하는 다운그레이더 확장을 사용할 수 있습니다. 자세한 내용은 오류: "SVN: #155021. Dreamweaver의 Subversion 통합을 사용하여 이 파일을 업데이트할 수 없습니다... " | Dreamweaver CS4를 참조하십시오.

Dreamweaver 및 Subversion에서 작업할 리소스

Subversion에서 사용할 Dreamweaver 사이트 설정에 대한 기본 정보는 위에서 언급한 Dreamweaver 설명서를 참조하십시오.

유용한 추가 정보는 다음과 같습니다.

Subversion 서버에 연결하는 동안 오류 발생

Dreamweaver에서 Subversion 서버에 연결을 시도할 때 다음 오류가 발생할 수 있습니다.  이러한 문제를 해결하려면 아래 정보를 사용하십시오.

이 작업에는 Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License의 라이센스가 부여되었습니다.  Twitter™ 및 Facebook 게시물은 Creative Commons 약관을 적용받지 않습니다.

법적 고지 사항   |   온라인 개인 정보 보호 정책